// <auto-generated />
//
// To parse this JSON data, add NuGet 'Newtonsoft.Json' then do:
//
//    using FitConnect;
//
//    var metadata = Metadata.FromJson(jsonString);

namespace FitConnect.Models.Api.Metadata
{
    using System;
    using System.Collections.Generic;

    using System.Globalization;
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;

    public class Metadata
    {
        /// <summary>
        /// Eine Struktur, um zusÃ¤tzliche Informationen zu hinterlegen
        /// </summary>
        [JsonProperty("additionalReferenceInfo", NullValueHandling = NullValueHandling.Ignore)]
        public AdditionalReferenceInfo AdditionalReferenceInfo { get; set; }

        /// <summary>
        /// Eine Liste aller Identifikationsnachweise der Einreichung.
        /// </summary>
        [JsonProperty("authenticationInformation", NullValueHandling = NullValueHandling.Ignore)]
        public List<AuthenticationInformation> AuthenticationInformation { get; set; }

        /// <summary>
        /// Beschreibt die Struktur der zusÃ¤tzlichen Inhalte der Einreichung, wie Anlagen oder
        /// Fachdaten.
        /// </summary>
        [JsonProperty("contentStructure")]
        public ContentStructure ContentStructure { get; set; }

        /// <summary>
        /// Dieses Objekt enthÃ¤lt die Informationen vom Bezahldienst.
        /// </summary>
        [JsonProperty("paymentInformation", NullValueHandling = NullValueHandling.Ignore)]
        public PaymentInformation PaymentInformation { get; set; }

        /// <summary>
        /// Beschreibung der Art der Verwaltungsleistung. Eine Verwaltungsleistung sollte immer mit
        /// einer LeiKa-Id beschrieben werden. Ist fÃ¼r die gegebene Verwaltungsleistung keine
        /// LeiKa-Id vorhanden, kann die Verwaltungsleistung Ã¼bergangsweise Ã¼ber die Angabe einer
        /// anderen eindeutigen Schema-URN beschrieben werden.
        /// </summary>
        [JsonProperty("publicServiceType", NullValueHandling = NullValueHandling.Ignore)]
        public Verwaltungsleistung PublicServiceType { get; set; }

        [JsonProperty("replyChannel", NullValueHandling = NullValueHandling.Ignore)]
        public ReplyChannel ReplyChannel { get; set; }

        public override string ToString() => JsonConvert.SerializeObject(this);
    }

    /// <summary>
    /// Eine Struktur, um zusÃ¤tzliche Informationen zu hinterlegen
    /// </summary>
    public partial class AdditionalReferenceInfo
    {
        /// <summary>
        /// Das Datum der Antragstellung. Das Datum muss nicht zwingend identisch mit dem Datum der
        /// Einreichung des Antrags Ã¼ber FIT-Connect sein.
        /// </summary>
        [JsonProperty("applicationDate", NullValueHandling = NullValueHandling.Ignore)]
        public DateTimeOffset? ApplicationDate { get; set; }

        /// <summary>
        /// Eine Referenz zum Vorgang im sendenden System, um bei Problemen und RÃ¼ckfragen
        /// auÃŸerhalb von FIT-Connect den Vorgang im dortigen System schneller zu identifizieren.
        /// </summary>
        [JsonProperty("senderReference", NullValueHandling = NullValueHandling.Ignore)]
        public string SenderReference { get; set; }
    }

    /// <summary>
    /// Eine Struktur, die einen Identifikationsnachweis beschreibt.
    /// </summary>
    public partial class AuthenticationInformation
    {
        /// <summary>
        /// Der Nachweis wird als Base64Url-kodierte Zeichenkette angegeben.
        /// </summary>
        [JsonProperty("content")]
        public string Content { get; set; }

        /// <summary>
        /// Definiert die Art des Identifikationsnachweises.
        /// </summary>
        [JsonProperty("type")]
        public AuthenticationInformationType Type { get; set; }

        /// <summary>
        /// semver kompatible Versionsangabe des genutzten Nachweistyps.
        /// </summary>
        [JsonProperty("version")]
        public string Version { get; set; }
    }

    /// <summary>
    /// Beschreibt die Struktur der zusÃ¤tzlichen Inhalte der Einreichung, wie Anlagen oder
    /// Fachdaten.
    /// </summary>
    public partial class ContentStructure
    {
        [JsonProperty("attachments")]
        public List<Attachment> Attachments { get; set; }

        /// <summary>
        /// Definiert das Schema und die Signatur(-art), die fÃ¼r die Fachdaten verwendet werden.
        /// </summary>
        [JsonProperty("data", NullValueHandling = NullValueHandling.Ignore)]
        public Data Data { get; set; }
    }

    /// <summary>
    /// Eine in der Einreichung enthaltene Anlage.
    /// </summary>
    public partial class Attachment
    {
        /// <summary>
        /// Innerhalb einer Einreichung eindeutige Id der Anlage im Format einer UUIDv4.
        /// </summary>
        [JsonProperty("attachmentId")]
        public string AttachmentId { get; set; }

        /// <summary>
        /// Optionale Beschreibung der Anlage
        /// </summary>
        [JsonProperty("description", NullValueHandling = NullValueHandling.Ignore)]
        public string Description { get; set; }

        /// <summary>
        /// UrsprÃ¼nglicher Dateiname bei Erzeugung oder Upload
        /// </summary>
        [JsonProperty("filename", NullValueHandling = NullValueHandling.Ignore)]
        public string Filename { get; set; }

        /// <summary>
        /// Der Hashwert der unverschlÃ¼sselten Anlage. Die Angabe des Hashwertes dient der
        /// IntegritÃ¤tssicherung des Gesamtantrags und schÃ¼tzt vor einem Austausch der Anlage durch
        /// Systeme zwischen Sender und Subscriber (z.B. dem Zustelldienst).
        /// </summary>
        [JsonProperty("hash")]
        public AttachmentHash Hash { get; set; }

        /// <summary>
        /// Internet Media Type gemÃ¤ÃŸ RFC 2045, z. B. application/pdf.
        /// </summary>
        [JsonProperty("mimeType")]
        public string MimeType { get; set; }

        /// <summary>
        /// Zweck/Art der Anlage
        /// - form: Automatisch generierte PDF-ReprÃ¤sentation des vollstÃ¤ndigen Antragsformulars
        /// - attachment: Anlage, die von einem BÃ¼rger hochgeladen wurde
        /// - report: Vom Onlinedienst, nachtrÃ¤glich erzeugte Unterlage
        /// </summary>
        [JsonProperty("purpose")]
        public string Purpose { get; set; }

        [JsonProperty("signature", NullValueHandling = NullValueHandling.Ignore)]
        public AttachmentSignature Signature { get; set; }
    }

    /// <summary>
    /// Der Hashwert der unverschlÃ¼sselten Anlage. Die Angabe des Hashwertes dient der
    /// IntegritÃ¤tssicherung des Gesamtantrags und schÃ¼tzt vor einem Austausch der Anlage durch
    /// Systeme zwischen Sender und Subscriber (z.B. dem Zustelldienst).
    /// </summary>
    public partial class AttachmentHash
    {
        /// <summary>
        /// Der Hex-kodierte Hashwert gemÃ¤ÃŸ des angegebenen Algorithmus.
        /// </summary>
        [JsonProperty("content")]
        public string Content { get; set; }

        /// <summary>
        /// Der verwendete Hash-Algorithmus. Derzeit ist nur `sha512` erlaubt.
        /// </summary>
        [JsonProperty("type")]
        public string Type { get; set; }
    }

    /// <summary>
    /// Beschreibt das Signaturformt und Profile
    /// </summary>
    public partial class AttachmentSignature
    {
        /// <summary>
        /// Hier wird die Signatur im Falle einer Detached-Signatur als Base64- oder
        /// Base64Url-kodierte Zeichenkette hinterlegt. Eine Base64Url-Kodierung kommt nur bei
        /// Einsatz von JSON Web Signatures (JWS / JAdES) zum Einsatz.
        /// </summary>
        [JsonProperty("content", NullValueHandling = NullValueHandling.Ignore)]
        public string Content { get; set; }

        /// <summary>
        /// Beschreibt, ob die Signatur als seperate (detached) Signatur (`true`) oder als Teil des
        /// Fachdatensatzes bzw. der Anlage  (`false`) Ã¼bertragen wird. Wenn der Wert `true` ist,
        /// dann wird die Signatur Base64- oder Base64Url-kodiert im Feld `content` Ã¼bertragen.
        /// </summary>
        [JsonProperty("detachedSignature")]
        public bool DetachedSignature { get; set; }

        /// <summary>
        /// Referenziert ein eindeutiges Profil einer AdES (advanced electronic signature/seal)
        /// gemÃ¤ÃŸ eIDAS-Verordnung Ã¼ber eine URI gemÃ¤ÃŸ [ETSI TS 119
        /// 192](https://www.etsi.org/deliver/etsi_ts/119100_119199/119192/01.01.01_60/ts_119192v010101p.pdf).
        ///
        /// FÃ¼r die Details zur Verwendung und Validierung von Profilen siehe auch
        /// https://ec.europa.eu/cefdigital/DSS/webapp-demo/doc/dss-documentation.html#_signatures_profile_simplification
        /// </summary>
        [JsonProperty("eidasAdesProfile", NullValueHandling = NullValueHandling.Ignore)]
        public EidasAdesProfile? EidasAdesProfile { get; set; }

        /// <summary>
        /// Beschreibt, welches Signaturformat die genutzte Signatur / das genutzte Siegel nutzt.
        /// Aktuell wird die Hinterlegung folgender Signaturformate unterstÃ¼tzt: CMS = Cryptographic
        /// Message Syntax, Asic = Associated Signature Containers, PDF = PDF Signatur, XML =
        /// XML-Signature, JSON = JSON Web Signature.
        /// </summary>
        [JsonProperty("signatureFormat")]
        public SignatureFormat SignatureFormat { get; set; }
    }

    /// <summary>
    /// Definiert das Schema und die Signatur(-art), die fÃ¼r die Fachdaten verwendet werden.
    /// </summary>
    public partial class Data
    {
        /// <summary>
        /// Der Hashwert der unverschlÃ¼sselten Fachdaten. Die Angabe des Hashwertes dient der
        /// IntegritÃ¤tssicherung des Gesamtantrags und schÃ¼tzt vor einem Austausch der Fachdaten
        /// durch Systeme zwischen Sender und Subscriber (z.B. dem Zustelldienst).
        /// </summary>
        [JsonProperty("hash")]
        public DataHash Hash { get; set; }

        /// <summary>
        /// Beschreibt das Signaturformt und Profile
        /// </summary>
        [JsonProperty("signature", NullValueHandling = NullValueHandling.Ignore)]
        public DataSignature Signature { get; set; }

        /// <summary>
        /// Referenz auf ein Schema, das die Struktur der Fachdaten einer Einreichung beschreibt.
        /// </summary>
        [JsonProperty("submissionSchema")]
        public Fachdatenschema SubmissionSchema { get; set; }
    }

    /// <summary>
    /// Der Hashwert der unverschlÃ¼sselten Fachdaten. Die Angabe des Hashwertes dient der
    /// IntegritÃ¤tssicherung des Gesamtantrags und schÃ¼tzt vor einem Austausch der Fachdaten
    /// durch Systeme zwischen Sender und Subscriber (z.B. dem Zustelldienst).
    /// </summary>
    public partial class DataHash
    {
        /// <summary>
        /// Der Hex-kodierte Hashwert gemÃ¤ÃŸ des angegebenen Algorithmus.
        /// </summary>
        [JsonProperty("content")]
        public string Content { get; set; }

        /// <summary>
        /// Der verwendete Hash-Algorithmus. Derzeit ist nur `sha512` erlaubt.
        /// </summary>
        [JsonProperty("type")]
        public string Type { get; set; }
    }

    /// <summary>
    /// Beschreibt das Signaturformt und Profile
    /// </summary>
    public partial class DataSignature
    {
        /// <summary>
        /// Hier wird die Signatur im Falle einer Detached-Signatur als Base64- oder
        /// Base64Url-kodierte Zeichenkette hinterlegt. Eine Base64Url-Kodierung kommt nur bei
        /// Einsatz von JSON Web Signatures (JWS / JAdES) zum Einsatz.
        /// </summary>
        [JsonProperty("content", NullValueHandling = NullValueHandling.Ignore)]
        public string Content { get; set; }

        /// <summary>
        /// Beschreibt, ob die Signatur als seperate (detached) Signatur (`true`) oder als Teil des
        /// Fachdatensatzes bzw. der Anlage  (`false`) Ã¼bertragen wird. Wenn der Wert `true` ist,
        /// dann wird die Signatur Base64- oder Base64Url-kodiert im Feld `content` Ã¼bertragen.
        /// </summary>
        [JsonProperty("detachedSignature")]
        public bool DetachedSignature { get; set; }

        /// <summary>
        /// Referenziert ein eindeutiges Profil einer AdES (advanced electronic signature/seal)
        /// gemÃ¤ÃŸ eIDAS-Verordnung Ã¼ber eine URI gemÃ¤ÃŸ [ETSI TS 119
        /// 192](https://www.etsi.org/deliver/etsi_ts/119100_119199/119192/01.01.01_60/ts_119192v010101p.pdf).
        ///
        /// FÃ¼r die Details zur Verwendung und Validierung von Profilen siehe auch
        /// https://ec.europa.eu/cefdigital/DSS/webapp-demo/doc/dss-documentation.html#_signatures_profile_simplification
        /// </summary>
        [JsonProperty("eidasAdesProfile", NullValueHandling = NullValueHandling.Ignore)]
        public EidasAdesProfile? EidasAdesProfile { get; set; }

        /// <summary>
        /// Beschreibt, welches Signaturformat die genutzte Signatur / das genutzte Siegel nutzt.
        /// Aktuell wird die Hinterlegung folgender Signaturformate unterstÃ¼tzt: CMS = Cryptographic
        /// Message Syntax, Asic = Associated Signature Containers, PDF = PDF Signatur, XML =
        /// XML-Signature, JSON = JSON Web Signature.
        /// </summary>
        [JsonProperty("signatureFormat")]
        public SignatureFormat SignatureFormat { get; set; }
    }

    /// <summary>
    /// Referenz auf ein Schema, das die Struktur der Fachdaten einer Einreichung beschreibt.
    /// </summary>
    public partial class Fachdatenschema
    {
        /// <summary>
        /// Mimetype (z.B. application/json oder application/xml) des referenzierten Schemas (z.B.
        /// XSD- oder JSON-Schema).
        /// </summary>
        [JsonProperty("mimeType")]
        public string MimeType { get; set; }

        /// <summary>
        /// URI des Fachschemas. Wird hier eine URL verwendet, sollte das Schema unter der
        /// angegebenen URL abrufbar sein. Eine VerfÃ¼gbarkeit des Schemas unter der angegebenen URL
        /// darf jedoch nicht vorausgesetzt werden.
        /// </summary>
        [JsonProperty("schemaUri")]
        public string SchemaUri { get; set; }
    }

    /// <summary>
    /// Dieses Objekt enthÃ¤lt die Informationen vom Bezahldienst.
    /// </summary>
    public partial class PaymentInformation
    {
        /// <summary>
        /// Bruttobetrag
        /// </summary>
        [JsonProperty("grossAmount", NullValueHandling = NullValueHandling.Ignore)]
        
        public double? GrossAmount { get; set; }

        /// <summary>
        /// Die vom Benutzer ausgewÃ¤hlte Zahlart. Das Feld ist nur bei einer erfolgreichen Zahlung
        /// vorhanden / befÃ¼llt.
        /// </summary>
        [JsonProperty("paymentMethod")]
        public PaymentMethod PaymentMethod { get; set; }

        /// <summary>
        /// Weitere ErlÃ¤uterung zur gewÃ¤hlten Zahlart.
        /// </summary>
        [JsonProperty("paymentMethodDetail", NullValueHandling = NullValueHandling.Ignore)]
        
        public string PaymentMethodDetail { get; set; }

        /// <summary>
        /// - INITIAL - der Einreichung hat einen Payment-Request ausgelÃ¶st und eine
        /// Payment-Transaction wurde angelegt. Der Nutzer hat aber im Bezahldienst noch keine
        /// Wirkung erzeugt.
        /// - BOOKED - der Nutzer hat die Bezahlung im Bezahldienst autorisiert.
        /// - FAILED - der Vorgang wurde vom Bezahldienst aufgrund der Nutzereingaben abgebrochen.
        /// - CANCELED - der Nutzer hat die Bezahlung im Bezahldienst abgebrochen.
        /// </summary>
        [JsonProperty("status")]
        public Status Status { get; set; }

        /// <summary>
        /// Eine vom Bezahldienst vergebene Transaktions-Id.
        /// </summary>
        [JsonProperty("transactionId")]
        
        public string TransactionId { get; set; }

        /// <summary>
        /// Bezahlreferenz bzw. Verwendungszweck, wie z. B. ein Kassenzeichen.
        /// </summary>
        [JsonProperty("transactionReference")]
        public string TransactionReference { get; set; }

        /// <summary>
        /// Zeitstempel der erfolgreichen DurchfÃ¼hrung der Bezahlung.
        /// </summary>
        [JsonProperty("transactionTimestamp", NullValueHandling = NullValueHandling.Ignore)]
        public DateTimeOffset? TransactionTimestamp { get; set; }

        /// <summary>
        /// Die Rest-URL der Payment Transaction fÃ¼r die Statusabfrage.
        /// </summary>
        [JsonProperty("transactionUrl", NullValueHandling = NullValueHandling.Ignore)]
        public Uri TransactionUrl { get; set; }
    }

    /// <summary>
    /// Beschreibung der Art der Verwaltungsleistung. Eine Verwaltungsleistung sollte immer mit
    /// einer LeiKa-Id beschrieben werden. Ist fÃ¼r die gegebene Verwaltungsleistung keine
    /// LeiKa-Id vorhanden, kann die Verwaltungsleistung Ã¼bergangsweise Ã¼ber die Angabe einer
    /// anderen eindeutigen Schema-URN beschrieben werden.
    /// </summary>
    public partial class Verwaltungsleistung
    {
        /// <summary>
        /// (Kurz-)Beschreibung der Verwaltungsleistung
        /// </summary>
        [JsonProperty("description", NullValueHandling = NullValueHandling.Ignore)]
        public string Description { get; set; }

        /// <summary>
        /// URN einer Leistung. Im Falle einer Leistung aus dem Leistungskatalog sollte hier
        /// `urn:de:fim:leika:leistung:` vorangestellt werden.
        /// </summary>
        [JsonProperty("identifier")]
        
        public string Identifier { get; set; }

        /// <summary>
        /// Name/Bezeichnung der Verwaltungsleistung
        /// </summary>
        [JsonProperty("name", NullValueHandling = NullValueHandling.Ignore)]
        public string Name { get; set; }
    }

    public partial class ReplyChannel
    {
        /// <summary>
        /// Akkreditierte Anbieter siehe
        /// https://www.bsi.bund.de/DE/Themen/Oeffentliche-Verwaltung/Moderner-Staat/De-Mail/Akkreditierte-DMDA/akkreditierte-dmda_node.html
        /// </summary>
        [JsonProperty("deMail", NullValueHandling = NullValueHandling.Ignore)]
        public DeMail DeMail { get; set; }

        /// <summary>
        /// Siehe https://www.elster.de/elsterweb/infoseite/elstertransfer_hilfe_schnittstellen
        /// </summary>
        [JsonProperty("elster", NullValueHandling = NullValueHandling.Ignore)]
        public Elster Elster { get; set; }

        [JsonProperty("eMail", NullValueHandling = NullValueHandling.Ignore)]
        public EMail EMail { get; set; }

        /// <summary>
        /// Postfachadresse in einem interoperablen Servicekonto (FINK.PFISK)
        /// </summary>
        [JsonProperty("fink", NullValueHandling = NullValueHandling.Ignore)]
        public Fink Fink { get; set; }
    }

    /// <summary>
    /// Akkreditierte Anbieter siehe
    /// https://www.bsi.bund.de/DE/Themen/Oeffentliche-Verwaltung/Moderner-Staat/De-Mail/Akkreditierte-DMDA/akkreditierte-dmda_node.html
    /// </summary>
    public partial class DeMail
    {
        [JsonProperty("address")]
        public string Address { get; set; }
    }

    public partial class EMail
    {
        [JsonProperty("address")]
        public string Address { get; set; }

        /// <summary>
        /// Hilfe zur Erstellung gibt es in der Dokumentation unter
        /// https://docs.fitko.de/fit-connect/details/pgp-export
        /// </summary>
        [JsonProperty("pgpPublicKey", NullValueHandling = NullValueHandling.Ignore)]
        public string PgpPublicKey { get; set; }
    }

    /// <summary>
    /// Siehe https://www.elster.de/elsterweb/infoseite/elstertransfer_hilfe_schnittstellen
    /// </summary>
    public partial class Elster
    {
        [JsonProperty("accountId")]
        public string AccountId { get; set; }

        [JsonProperty("geschaeftszeichen", NullValueHandling = NullValueHandling.Ignore)]
        
        public string Geschaeftszeichen { get; set; }

        [JsonProperty("lieferTicket", NullValueHandling = NullValueHandling.Ignore)]
        public string LieferTicket { get; set; }
    }

    /// <summary>
    /// Postfachadresse in einem interoperablen Servicekonto (FINK.PFISK)
    /// </summary>
    public partial class Fink
    {
        /// <summary>
        /// FINK Postfachadresse
        /// </summary>
        [JsonProperty("finkPostfachRef")]
        
        public string FinkPostfachRef { get; set; }

        /// <summary>
        /// URL des Servicekontos, in dem das Ziel-Postfach liegt
        /// </summary>
        [JsonProperty("host", NullValueHandling = NullValueHandling.Ignore)]
        public Uri Host { get; set; }
    }

    /// <summary>
    /// Definiert die Art des Identifikationsnachweises.
    /// </summary>
    public enum AuthenticationInformationType { IdentificationReport };

    /// <summary>
    /// Der verwendete Hash-Algorithmus. Derzeit ist nur `sha512` erlaubt.
    /// </summary>
    public enum HashType { Sha512 };

    /// <summary>
    /// Zweck/Art der Anlage
    /// - form: Automatisch generierte PDF-ReprÃ¤sentation des vollstÃ¤ndigen Antragsformulars
    /// - attachment: Anlage, die von einem BÃ¼rger hochgeladen wurde
    /// - report: Vom Onlinedienst, nachtrÃ¤glich erzeugte Unterlage
    /// </summary>
    public enum Purpose { Attachment, Form, Report };

    /// <summary>
    /// Referenziert ein eindeutiges Profil einer AdES (advanced electronic signature/seal)
    /// gemÃ¤ÃŸ eIDAS-Verordnung Ã¼ber eine URI gemÃ¤ÃŸ [ETSI TS 119
    /// 192](https://www.etsi.org/deliver/etsi_ts/119100_119199/119192/01.01.01_60/ts_119192v010101p.pdf).
    ///
    /// FÃ¼r die Details zur Verwendung und Validierung von Profilen siehe auch
    /// https://ec.europa.eu/cefdigital/DSS/webapp-demo/doc/dss-documentation.html#_signatures_profile_simplification
    /// </summary>
    public enum EidasAdesProfile { HttpUriEtsiOrgAdes191X2LevelBaselineBB, HttpUriEtsiOrgAdes191X2LevelBaselineBLt, HttpUriEtsiOrgAdes191X2LevelBaselineBLta, HttpUriEtsiOrgAdes191X2LevelBaselineBT };

    /// <summary>
    /// Beschreibt, welches Signaturformat die genutzte Signatur / das genutzte Siegel nutzt.
    /// Aktuell wird die Hinterlegung folgender Signaturformate unterstÃ¼tzt: CMS = Cryptographic
    /// Message Syntax, Asic = Associated Signature Containers, PDF = PDF Signatur, XML =
    /// XML-Signature, JSON = JSON Web Signature.
    /// </summary>
    public enum SignatureFormat { Asic, Cms, Json, Pdf, Xml };

    /// <summary>
    /// Mimetype (z.B. application/json oder application/xml) des referenzierten Schemas (z.B.
    /// XSD- oder JSON-Schema).
    /// </summary>
    //public enum MimeType { ApplicationJson, ApplicationXml };

    /// <summary>
    /// Die vom Benutzer ausgewÃ¤hlte Zahlart. Das Feld ist nur bei einer erfolgreichen Zahlung
    /// vorhanden / befÃ¼llt.
    /// </summary>
    public enum PaymentMethod { Creditcard, Giropay, Invoice, Other, Paydirect, Paypal };

    /// <summary>
    /// - INITIAL - der Einreichung hat einen Payment-Request ausgelÃ¶st und eine
    /// Payment-Transaction wurde angelegt. Der Nutzer hat aber im Bezahldienst noch keine
    /// Wirkung erzeugt.
    /// - BOOKED - der Nutzer hat die Bezahlung im Bezahldienst autorisiert.
    /// - FAILED - der Vorgang wurde vom Bezahldienst aufgrund der Nutzereingaben abgebrochen.
    /// - CANCELED - der Nutzer hat die Bezahlung im Bezahldienst abgebrochen.
    /// </summary>
    public enum Status { Booked, Canceled, Failed, Initial };
    
}
